Bug 615738 - [abrt] calibre-0.7.8-1.fc14: __init__.py:167:populate_from_preparsed_feed:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 22: ordinal not in range(128)
Summary: [abrt] calibre-0.7.8-1.fc14: __init__.py:167:populate_from_preparsed_feed:Uni...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: calibre
Version: 14
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:d1a7399b
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-18 11:25 UTC by Frank Murphy
Modified: 2010-10-05 13:24 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-10-05 13:24:31 UTC


Attachments (Terms of Use)
File: backtrace (112.55 KB, text/plain)
2010-07-18 11:25 UTC, Frank Murphy
no flags Details

Description Frank Murphy 2010-07-18 11:25:37 UTC
abrt version: 1.1.5
architecture: i686
Attached file: backtrace
cmdline: python /usr/bin/calibre-parallel
component: calibre
executable: /usr/bin/calibre-parallel
kernel: 2.6.35-0.41.rc5.git1.fc14.i686
package: calibre-0.7.8-1.fc14
reason: __init__.py:167:populate_from_preparsed_feed:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 22: ordinal not in range(128)
release: Fedora release 14 (Rawhide)
time: 1279452192
uid: 500

comment
-----
Using calibre-7.8 on F14-Rawhide.i686, testing is newer versions of evertying would prevent bug.

Will shortly test 7.9

How to reproduce
-----
1. News Feed xkcd
2. Clicked download Now
3.

Comment 1 Frank Murphy 2010-07-18 11:25:44 UTC
Created attachment 432686 [details]
File: backtrace

Comment 2 Frank Murphy 2010-07-18 12:20:57 UTC
Package: calibre-0.7.8-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Rawhide)


How to reproduce
-----
1. News Feed xkcd
2. Clicked download Now
3.


Comment
-----
This was the calibre 7.9 test of the xkcd feed

Comment 3 Kevin Fenzi 2010-07-18 17:59:47 UTC
Right. Not sure we need two bugs open on that same issue... I guess it shows that it happens in different versions, but not sure it's otherwise useful. 

I'll report upstream or look at a local patch.

Comment 4 Frank Murphy 2010-07-18 18:17:11 UTC
Sorry about that, followed abrt home, in case additional info.

Comment 5 Bug Zapper 2010-07-30 12:39:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Fedora Update System 2010-09-15 20:13:47 UTC
calibre-0.7.18-3.fc14,python-cssutils-0.9.7-0.0.b3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/calibre-0.7.18-3.fc14,python-cssutils-0.9.7-0.0.b3.fc14

Comment 7 Fedora Update System 2010-09-16 03:28:15 UTC
calibre-0.7.18-3.fc14, python-cssutils-0.9.7-0.0.b3.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update calibre python-cssutils'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/calibre-0.7.18-3.fc14,python-cssutils-0.9.7-0.0.b3.fc14

Comment 8 Frank Murphy 2010-09-29 07:49:31 UTC
xkcd feed now works

Comment 9 Fedora Update System 2010-10-05 13:24:11 UTC
calibre-0.7.20-1.fc14, python-cssutils-0.9.7-0.0.b3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.